##############################################################################
#
#  System        : 
#  Module        : 
#  Object Name   : $RCSfile$
#  Revision      : $Revision$
#  Date          : $Date$
#  Author        : $Author$
#  Created By    : Dr. Detlef Groth
#  Created       : Sun Mar 1 16:03:33 2020
#  Last Modified : <200302.0652>
#
#  Description	
#
#  Notes
#
#  History
#	
##############################################################################
#
#  Copyright (c) 2020 Dr. Detlef Groth.
# 
##############################################################################


#' ---
#' title:  dgtools::dgtools __PKGVERSION__
#' author: Dr. Detlef Groth, Schwielowsee, Germany
#' documentclass: scrartcl
#' geometry:
#' - top=20mm
#' - right=20mm
#' - left=20mm
#' - bottom=30mm
#' ---

#'
#' ## NAME
#'
#' **dgtools::dgtools**  - Detlef Groths Tcl Tools Libraries

#' 
#' ## <a name='synopsis'>SYNOPSIS</a>
#' 
#' ```
#' package require Tk 8.6
#' package require snit
#' package require dgtools
#' ```

#' 
#' ## <a name='command'>COMMAND</a>
#'
#' **package::require dgtools**
#' 
#' > The *dgtools* package is just a wrapper package to load all the dgtools 
#'    packages with one package call.
#'    The following packages are loaded via the *package require dgtools* call:
#' 
#' - [dgtools::argvparse](argvparse.html) - command line argument processor in spirit of argvparse
#' - [dgtools::dgtutils](dgtutils.html) - private package to generate the documentation and to run or show example code
#' - [dgtools::shistory](shistory.html) - history manager
#' - [dgtools::revover](recover.html) - debugging tool like R's recover
#'

package require dgtools::shistory
package require dgtools::dgtutils
package require dgtools::argvparse
package require dgtools::recover

package provide dgtools 0.1
package provide dgtools::dgtools [package provide dgtools]

#' ## <a name='see'>SEE ALSO</a>
#'
#' - [dgw - package homepage: http://chiselapp.com/user/dgroth/repository/tclcode/index](http://chiselapp.com/user/dgroth/repository/tclcode/index)
#'
#' ## <a name='authors'>AUTHOR</a>
#'
#' The **__BASENAME__** command was written by Detlef Groth, Schwielowsee, Germany.
#'
#' ## <a name='copyright'>COPYRIGHT</a>
#'
#' Copyright (c) 2019-2020  Dr. Detlef Groth, E-mail: detlef(at)dgroth(dot)de
#'
# LICENSE START
#' ## <a name='license'>LICENSE</a>
#' 
#' __PKGNAME__ package __PKGVERSION__ - load all packages in dgtools.
#'
#' Copyright (c) 2019-2020  Dr. Detlef Groth, E-mail: detlef(at)dgroth(dot)de
#' 
#' This library is free software; you can use, modify, and redistribute it
#' for any purpose, provided that existing copyright notices are retained
#' in all copies and that this notice is included verbatim in any
#' distributions.
#' 
#' This software is distributed WITHOUT ANY WARRANTY; without even the
#' implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
#' 
# LICENSE END

if {[info exists argv0] && $argv0 eq [info script] && [regexp dgtools $argv0]} {
    if {[llength $argv] > 0 && [lindex $argv 0] eq "--version"} {
        puts [package provide dgtools]
    } elseif {[llength $argv] > 0 && [lindex $argv 0] eq "--license" || [lindex $argv 0] eq "--html" || [lindex $argv 0] eq "--man" || [lindex $argv 0] eq "--markdown"} {
        dgtools::manual [lindex $argv 0] [info script]
    }    
}

